body {
  margin: 0;
  padding: 0px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}
.container {
  padding: 20px;
}
nav {
  padding: 20px;
  background-color: #1e1e1e;
}
nav a {
  display: inline-block;
  color: #fff;
  margin-right: 20px;
  text-decoration: none;
  transition: all .2s;
}
nav .active {
  font-weight: 700;
}
.notes {
  list-style: none;
  padding: 0;
}
.notes li {
  border-left: 5px solid #ccc;
  padding-left: 10px;
  margin-bottom: 10px;
}
.notes li.done {
  text-decoration: line-through;
  border-color: green;
}
.notes li span {
  margin-right: 20px;
}
.notes li button {
  margin-right: 10px;
  cursor: pointer;
  background-color: transparent;
}
.notes li button:disabled{
  opacity: .6;
  pointer-events: none;
}
.notes li button.btn--done {
  border: 1px solid green;
  color: green;
  transition: all .4s;
}
.notes li button.btn--done:hover {
  background-color: green;
  color: #fff;
}
.notes li button.btn--remove {
  border: 1px solid red;
  color: red;
  transition: all .4s;
}
.notes li button.btn--remove:hover {
  background-color: red;
  color: #fff;
}